Subject: Re: [bitcoin-dev]Răspuns: Personal opinion on the fee market from a worried local trader

From: Jorge Timón <[email-masked]>
Date: Fri, 31 Jul 2015 17:24:31 +0200

On Fri, Jul 31, 2015 at 11:56 AM, Thomas Zander via bitcoin-dev
<[email-masked]> wrote:
> On Friday 31. July 2015 03.21.07 Jorge Timón via bitcoin-dev wrote:
>> If I was a miner and you want me to include your transaction for free,
>> you're asking me to give you money
>
> What?
>
> Ask yourself; why do miners include transactions at all? What it the incentive
> if there really is only less than 0.8% of income to be derived from fees?

As a rhetorical exercise, I just asked myself those questions (with
other words) in the very post you are replying to.
Please, read again.
If miners have a cost in including transactions (which they have) but
there's no gain, why are miners including free transactions?
Is it because they are stupid or because they don't care enough about
fees (and thus blindly use whatever default policy that comes with
Bitcoin Core)?

On Fri, Jul 31, 2015 at 2:32 PM, Oleg Andreev via bitcoin-dev
<[email-masked]> wrote:
> Fees should be compared not with the total revenue, but with the profit margin.

You are completely right, this is what matters in the end. To correct
myself, what I'm worried about is how low the fees/profits ratio is,
fees/total_reward is just an easier-to-calculate approximation when
you don't know costs = total_reward - profits.

> Of course it's a very rough estimate and most likely to be far from reality, but it shows how fees can begin to matter rather quickly under pressure of separate factors: halving and growing valuation and mining competition.

Don't forget a rise in fees paid as another potential factor. That was
my whole point: higher fees may help reducing problems related to a
low fees/profits ratio.
And that's why I don't think a rise in fees is necessarily a bad thing.
Let's not forget that we're just talking about market fees for
non-urgent transfers rising above zero!
There may be a fee market for fast confirmations already, but there's
certainly none for non-urgent transfers.
In my opinion, rising from zero to anything, it's a great step
forwards. I can perfectly understand that maintaining that anything
low is good for adoption, but insisting in maintaining it at zero
doesn't seem very reasonable to me, given that we know for a fact that
is not sustainable in the long term.
We don't want business plans to fail because they're relaying on free
transactions. We don't want new users to be lied about the real
properties of the system.
And I'm sure that any ridiculously low value will be so marginally
worse for adaption when compared to a plain zero, that I'm not worried
about it at all.
Users starting to pay SOMETHING for a service they're enjoying and
that actually has quite big operational costs (energy-demanding proof
of work, currently subsidized by the finite initial seigniorage) it's,
by no means, the end of Bitcoin.
To me is really more of a start, a tiny first step towards a viable
system that doesn't depend on subsidies (with expiration date).